## org.apache.http.client.protocol
Class ResponseAuthCache

    java.lang.Object
      org.apache.http.client.protocol.ResponseAuthCache

All Implemented Interfaces:
  HttpResponseInterceptor

    @Immutable
    public class ResponseAuthCache

extends Object
implements HttpResponseInterceptor

Response interceptor that adds successfully completed `AuthScheme`s to the local `AuthCache` instance. Cached `AuthScheme`s can be re-used when executing requests against known hosts, thus avoiding additional authentication round-trips.

Since:
  4.1

Constructor Summary
`ResponseAuthCache()`

Method Summary
`void` `process(HttpResponse response, HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseAuthCache

    public ResponseAuthCache()

Method Detail

### process

    public void process(HttpResponse response,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Specified by:
    `process` in interface `HttpResponseInterceptor`
  Throws:
    `HttpException`
    `IOException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.